[DTrace-devel] [PATCH] test: skip when /proc/kallmodsyms is not present

Kris Van Hees kris.van.hees at oracle.com
Mon Feb 9 18:34:22 UTC 2026


Signed-off-by: Kris Van Hees <kris.van.hees at oracle.com>
---
 test/unittest/consumer/tst.merge_ranges_bug25767469.x | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/test/unittest/consumer/tst.merge_ranges_bug25767469.x b/test/unittest/consumer/tst.merge_ranges_bug25767469.x
index 7e265f2f..a92690ad 100755
--- a/test/unittest/consumer/tst.merge_ranges_bug25767469.x
+++ b/test/unittest/consumer/tst.merge_ranges_bug25767469.x
@@ -1,10 +1,14 @@
 #!/bin/bash
 #
 # Oracle Linux DTrace.
-# Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, 2026, Oracle and/or its affiliates. All rights reserved.
 # Licensed under the Universal Permissive License v 1.0 as shown at
 # http://oss.oracle.com/licenses/upl.
 
+# If /proc/kallmodsyms does not exist, there is nothing to test.
+
+[[ -r /proc/kallmodsyms ]] || exit 2
+
 # The test depends on a kernel fix to report kernel (and built-in-module)
 # symbol sizes correctly in /proc/kallmodsyms.  An easy check is to count
 # how many kernel and built-in-module symbols (that is, symbols that appear
-- 
2.51.0




More information about the DTrace-devel mailing list